Update
Update an existing incident action.
PUT
/
v2
/
actions
/
{id}
Update
curl --request PUT \
--url https://api.incident.io/v2/actions/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"assignee_id": "01FCNDV6P870EA6S7TK1DSYDG0",
"description": "Call the fire brigade",
"status": "outstanding"
}
'import requests
url = "https://api.incident.io/v2/actions/{id}"
payload = {
"assignee_id": "01FCNDV6P870EA6S7TK1DSYDG0",
"description": "Call the fire brigade",
"status": "outstanding"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
assignee_id: '01FCNDV6P870EA6S7TK1DSYDG0',
description: 'Call the fire brigade',
status: 'outstanding'
})
};
fetch('https://api.incident.io/v2/actions/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"action": {
"assignee": {
"email": "lisa@incident.io",
"id": "01FCNDV6P870EA6S7TK1DSYDG0",
"name": "Lisa Karlin Curtis",
"role": "owner",
"slack_user_id": "U02AYNF2XJM"
},
"completed_at": "2021-08-17T13:28:57.801578Z",
"created_at": "2021-08-17T13:28:57.801578Z",
"creator": {
"alert": {
"id": "01GW2G3V0S59R238FAHPDS1R66",
"title": "*errors.withMessage: PG::Error failed to connect"
},
"api_key": {
"id": "01FCNDV6P870EA6S7TK1DSYDG0",
"name": "My test API key"
},
"user": {
"email": "lisa@incident.io",
"id": "01FCNDV6P870EA6S7TK1DSYDG0",
"name": "Lisa Karlin Curtis",
"role": "owner",
"slack_user_id": "U02AYNF2XJM"
},
"workflow": {
"id": "01FCNDV6P870EA6S7TK1DSYDG0",
"name": "My little workflow"
}
},
"description": "Call the fire brigade",
"id": "01FCNDV6P870EA6S7TK1DSYDG0",
"incident_id": "01FCNDV6P870EA6S7TK1DSYDG0",
"status": "outstanding",
"updated_at": "2021-08-17T13:28:57.801578Z"
}
}🔑 Requires the
actions.update scope.Authorizations
API key from your incident.io dashboard (Settings → API keys)
Path Parameters
Unique identifier for the action
Example:
"01FCNDV6P870EA6S7TK1DSYDG0"
Body
application/json
Description of the action. Supports Markdown.
Example:
"Call the fire brigade"
Status of the action. Setting this to deleted is not allowed; use the delete endpoint instead.
Available options:
outstanding, completed, deleted, not_doing Example:
"outstanding"
ID of the user this action is assigned to. Set to null to unassign.
Example:
"01FCNDV6P870EA6S7TK1DSYDG0"
Response
200 - application/json
OK response.
Show child attributes
Show child attributes
Was this page helpful?
⌘I
Update
